View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17269Bug reportsOtherpublic2021-07-22 19:15
ReporterJmantysalo Assigned Togabrieljenik  
PrioritylowSeveritytrivial 
Status assignedResolutionfixed 
Product Version4.5.x 
Summary17269: Canceling activation of survey gives error
DescriptionClick Activate this survey. Click Cancel. You get Access denied and are redirected to the main page.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Versio 4.5.1+210420
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

galads

galads

2021-07-05 11:22

administrator   ~65204

Please update to the latest version and check if the bug can still be reproduced. Thank you.
Jmantysalo

Jmantysalo

2021-07-06 10:32

reporter   ~65223

Last edited: 2021-07-08 12:24

Tested on Version 5.0.7+210628. Still redirect to the main page and a red notification saying "Access denied."
gabrieljenik

gabrieljenik

2021-07-22 19:15

manager   ~65582

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32361

Related Changesets

LimeSurvey: master f8ccbad7

2021-07-22 19:15:50

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17269: Canceling activation of survey gives error (#1974)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17269
mod - application/views/surveyAdministration/activateSurvey_view.php Diff File

Issue History

Date Modified Username Field Change
2021-04-23 14:00 Jmantysalo New Issue
2021-07-05 11:22 galads Note Added: 65204
2021-07-05 11:22 galads Assigned To => galads
2021-07-05 11:22 galads Status new => feedback
2021-07-06 10:32 Jmantysalo Note Added: 65223
2021-07-06 10:32 Jmantysalo Status feedback => assigned
2021-07-08 12:24 galads Sync to Zoho Project => |Yes|
2021-07-08 12:25 galads Assigned To galads =>
2021-07-08 12:25 galads Status assigned => confirmed
2021-07-08 12:25 galads Sync to Zoho Project Yes => |Yes|
2021-07-19 16:32 galads Assigned To => gabrieljenik
2021-07-19 16:32 galads Priority none => low
2021-07-19 16:32 galads Status confirmed => assigned
2021-07-19 16:32 galads Sync to Zoho Project Yes => |Yes|
2021-07-22 19:15 gabrieljenik Changeset attached => LimeSurvey master f8ccbad7
2021-07-22 19:15 gabrieljenik Note Added: 65582
2021-07-22 19:15 gabrieljenik Resolution open => fixed